[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[PATCH] Set yum output level based on whether or not we've passed --debug or not



This helps to make the log output a little bit easier to read
---
 scripts/upd-instroot |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/scripts/upd-instroot b/scripts/upd-instroot
index 99e38a6..d9f5d72 100755
--- a/scripts/upd-instroot
+++ b/scripts/upd-instroot
@@ -91,7 +91,8 @@ expandPackageSet() {
     KEEPFILES=$5
 
     [ -d $PKGDEST ] || die "ERROR: directory missing: $PKGDEST"
-    yum -c $YUMCONF -y --installroot=$YUMDIR install $RPMS 2>&1 || die "ERROR: could not install packages"
+    if [ -n "$DEBUG" ]; then outlvl="--quiet" ; else outlvl="--verbose"; fi
+    yum $outlvl -c $YUMCONF -y --installroot=$YUMDIR install $RPMS 2>&1 || die "ERROR: could not install packages"
 
     # figure out the theme to keep
     if [ -f $YUMDIR/etc/gtk-2.0/gtkrc ]; then
-- 
1.5.4.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]